be.ehealth.business.mycarenetcommons.mapper

## Class SendRequestMapper

- java.lang.Object
- - be.ehealth.business.mycarenetcommons.mapper.SendRequestMapper

- All Implemented Interfaces:
    ConfigurationModuleBootstrap.ModuleBootstrapHook

      public final class SendRequestMapper
      extends Object
      implements ConfigurationModuleBootstrap.ModuleBootstrapHook

  Mapper form a type to another type

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SendRequestMapper()` default constructor : utility class, but needed for ModuleBootstrapHook.

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bootstrap()`
    `static BlobType` | `mapBlobToBlobType(Blob inBlob)` Map a `Blob` to a `BlobType`
    `static Blob` | `mapBlobToCinBlob(Blob blob)` Creates be.cin.types.v1.Blob with a be.ehealth.business.mycarenetdomaincommons.domain.Blob.
    `static Blob` | `mapBlobTypeToBlob(BlobType inBlob)` Map a `BlobType` to a `Blob`
    `static CommonInputType` | `mapCommonInput(CommonInput commonInput)` Map a `CommonInput` to a `CommonInputType`
    `static RoutingType` | `mapRouting(Routing inRouting)` Map a `Routing` to a `RoutingType`
    `static Blob` | `mapToBlob(Blob blob)`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SendRequestMapper

          public SendRequestMapper()

      default constructor : utility class, but needed for ModuleBootstrapHook.

  - ### Method Detail

    - #### mapCommonInput

          public static CommonInputType mapCommonInput(CommonInput commonInput)

      Map a `CommonInput` to a `CommonInputType`
      Parameters:
        `commonInput` -
      Returns:

    - #### mapRouting

          public static RoutingType mapRouting(Routing inRouting)

      Map a `Routing` to a `RoutingType`
      Parameters:
        `inRouting` -
      Returns:

    - #### mapBlobToBlobType

          public static BlobType mapBlobToBlobType(Blob inBlob)

      Map a `Blob` to a `BlobType`
      Parameters:
        `inBlob` -
      Returns:

    - #### mapBlobTypeToBlob

          public static Blob mapBlobTypeToBlob(BlobType inBlob)

      Map a `BlobType` to a `Blob`
      Parameters:
        `inBlob` -
      Returns:

    - #### mapToBlob

          public static Blob mapToBlob(Blob blob)
                                throws TechnicalConnectorException

      Parameters:
        `detail` -
      Returns:
      Throws:
        `TechnicalConnectorException`

    - #### mapBlobToCinBlob

          public static Blob mapBlobToCinBlob(Blob blob)

      Creates be.cin.types.v1.Blob with a be.ehealth.business.mycarenetdomaincommons.domain.Blob.
      Parameters:
        `blob` -
      Returns:
        Blob

    - #### bootstrap

          public void bootstrap()

      Specified by:
        `bootstrap` in interface `ConfigurationModuleBootstrap.ModuleBootstrapHook`

Connector Packaging PERSPRACTICALNURSE 4.5.4 API
Copyright © {inceptionYear}-2024 eHealth. All Rights Reserved.